diff a/test/jdk/jdk/incubator/vector/templates/Perf-Scalar-Broadcast.template b/test/jdk/jdk/incubator/vector/templates/Perf-Scalar-Broadcast.template
--- /dev/null
+++ b/test/jdk/jdk/incubator/vector/templates/Perf-Scalar-Broadcast.template
@@ -0,0 +1,40 @@
+
+    void broadcastShared(int window, Blackhole bh) {
+        $type$[] as = fa.apply(size);
+        $type$[] rs = fr.apply(size);
+
+        for (int ic = 0; ic < INVOC_COUNT; ic++) {
+            for (int i = 0; i < as.length; i += window) {
+                int idx = i;
+                for (int j = 0; j < window; j++) {
+                    rs[j] = as[idx];
+                }
+            }
+        }
+
+        bh.consume(rs);
+    }
+
+    @Benchmark
+    public void broadcast064(Blackhole bh) {
+        int window = 64 / $Wideboxtype$.SIZE;
+        broadcastShared(window, bh);
+    }
+
+    @Benchmark
+    public void broadcast128(Blackhole bh) {
+        int window = 128 / $Wideboxtype$.SIZE;
+        broadcastShared(window, bh);
+    }
+
+    @Benchmark
+    public void broadcast256(Blackhole bh) {
+        int window = 256 / $Wideboxtype$.SIZE;
+        broadcastShared(window, bh);
+    }
+
+    @Benchmark
+    public void broadcast512(Blackhole bh) {
+        int window = 512 / $Wideboxtype$.SIZE;
+        broadcastShared(window, bh);
+    }
